From 17c3230d08481f23e7031ee8bd2ff59bba117837 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Aug 29 2020 19:21:16 +0000
Subject: [PATCH 720/2232] Skip past shebang in source file


---

diff --git a/gen/src/mod.rs b/gen/src/mod.rs
index 8df3404..0aa149f 100644
--- a/gen/src/mod.rs
+++ b/gen/src/mod.rs
@@ -49,9 +49,14 @@ fn generate_from_path(path: &Path, opt: Opt, header: bool) -> Vec<u8> {
         Ok(source) => source,
         Err(err) => format_err(path, "", Error::Io(err)),
     };
-    match generate(&source, opt, header) {
+    let mut source = source.as_str();
+    if source.starts_with("#!") && !source.starts_with("#![") {
+        let shebang_end = source.find('\n').unwrap_or(source.len());
+        source = &source[shebang_end..];
+    }
+    match generate(source, opt, header) {
         Ok(out) => out,
-        Err(err) => format_err(path, &source, err),
+        Err(err) => format_err(path, source, err),
     }
 }
 

